Summary: Public client interface library for NIS(YP) and NIS+
Name: libnsl2
Version: 2.0.1
Release: 1%{?dist}
License: BSD and LGPLv2+
URL: https://github.com/thkukuk/libnsl
Source0: https://github.com/thkukuk/libnsl/archive/v%{version}.tar.gz
BuildRequires: gettext-devel libtool libtirpc-devel
BuildRequires: make gcc autoconf automake

%description
This package contains the libnsl library. This library contains
the public client interface for NIS(YP) and NIS+.
This code was formerly part of glibc, but is now standalone to
be able to link against TI-RPC for IPv6 support.

%package devel
Summary: Development files for libnsl2
Requires: libnsl2 = %{version}-%{release}

%description devel
Development libraries and header files for using libnsl2.

%prep
%autosetup -n libnsl-%{version}

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install

rm %{buildroot}%{_libdir}/libnsl.{a,la}

%files
%license COPYING
%{_libdir}/libnsl.so.3*

%files devel
%{_includedir}/*
%{_libdir}/libnsl.so
%{_libdir}/pkgconfig/libnsl.pc

%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 2.0.1-1
- Upgrade to version 2.0.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 07 2022 Wang Zhe <bessiewang@tencent.com> - 2.0.0-1
- initial build
